summaryrefslogtreecommitdiffstats
path: root/multimedia
diff options
context:
space:
mode:
author Michales Michaloudes2011-08-13 23:10:38 +0200
committer Niels Horn2011-08-13 23:10:38 +0200
commit46c4014da8efe5f0de7ce971e4e4b839681981d8 (patch)
tree45b003fbf344abc99b4c1b826e1e834dc0a68e8c /multimedia
parent08496cb45918a41b5e096dca9a90be40a441b4bc (diff)
downloadslackbuilds-46c4014da8efe5f0de7ce971e4e4b839681981d8.tar.gz
multimedia/xjadeo: Added (software video player)
Signed-off-by: Niels Horn <niels.horn@slackbuilds.org>
Diffstat (limited to 'multimedia')
-rw-r--r--multimedia/xjadeo/README14
-rw-r--r--multimedia/xjadeo/doinst.sh18
-rw-r--r--multimedia/xjadeo/slack-desc19
-rw-r--r--multimedia/xjadeo/xjadeo.SlackBuild95
-rw-r--r--multimedia/xjadeo/xjadeo.desktop10
-rw-r--r--multimedia/xjadeo/xjadeo.info10
6 files changed, 166 insertions, 0 deletions
diff --git a/multimedia/xjadeo/README b/multimedia/xjadeo/README
new file mode 100644
index 0000000000..3a2b54f2d6
--- /dev/null
+++ b/multimedia/xjadeo/README
@@ -0,0 +1,14 @@
+Xjadeo is a software video player that displays a video-clip in sync with
+an external time source (MTC, LTC, JACK-transport).
+
+Xjadeo is useful in soundtrack composition, video monitoring or any taski
+that requires to synchronizing movie frames with audio events.
+
+Xjadeo supports a multitude of video file formats, display libraries and
+sync sources. It includes an optional GUI called qjadeo that provides setup
+options, file history, video import/transcoding and control of Xjadeo's
+run-time parameters.
+
+Requires: jack, liblo, x264, ffmpeg
+Optional: portmidi, lash, imlib2
+Optional runtime: mencoder
diff --git a/multimedia/xjadeo/doinst.sh b/multimedia/xjadeo/doinst.sh
new file mode 100644
index 0000000000..1f712d04e4
--- /dev/null
+++ b/multimedia/xjadeo/doinst.sh
@@ -0,0 +1,18 @@
+config() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
+ # toss the redundant copy
+ rm $NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+
+config etc/xjadeorc.new
+
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/multimedia/xjadeo/slack-desc b/multimedia/xjadeo/slack-desc
new file mode 100644
index 0000000000..fb3383ef7f
--- /dev/null
+++ b/multimedia/xjadeo/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+xjadeo: Xjadeo (software video player)
+xjadeo:
+xjadeo: Xjadeo is a software video player that displays a video-clip in sync
+xjadeo: with an external time source (MTC, LTC, JACK-transport).
+xjadeo: Xjadeo is useful in soundtrack composition, video monitoring or any
+xjadeo: task that requires to synchronizing movie frames with audio events.
+xjadeo:
+xjadeo: Xjadeo supports a multitude of video file formats, display libraries
+xjadeo: and sync sources. It includes an optional GUI called qjadeo that
+xjadeo: provides setup options, file history, video import/transcoding and
+xjadeo: control of Xjadeo's run-time parameters.
diff --git a/multimedia/xjadeo/xjadeo.SlackBuild b/multimedia/xjadeo/xjadeo.SlackBuild
new file mode 100644
index 0000000000..1f371e6738
--- /dev/null
+++ b/multimedia/xjadeo/xjadeo.SlackBuild
@@ -0,0 +1,95 @@
+#!/bin/sh
+# Slackware build script for <xjadeo>
+# Written by Michales Michaloudes korgie@gmail.com
+
+PRGNAM=xjadeo
+VERSION=${VERSION:-0.6.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+# cp KDE desktop icon
+mkdir -p $PKG/usr/share/applications
+mkdir -p $PKG/usr/share/$PRGNAM
+cp -a $CWD/$PRGNAM.desktop $PKG/usr/share/applications
+
+# convert png icon to xpm
+convert src/qt-gui/images/qjadeo.png $PKG/usr/share/$PRGNAM/qjadeo_102.xpm
+
+mkdir -p $PKG/etc/
+cp -p doc/xjadeorc $PKG/etc/xjadeorc.new
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS COPYING ChangeLog INSTALL TODO README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/multimedia/xjadeo/xjadeo.desktop b/multimedia/xjadeo/xjadeo.desktop
new file mode 100644
index 0000000000..4b9897bf49
--- /dev/null
+++ b/multimedia/xjadeo/xjadeo.desktop
@@ -0,0 +1,10 @@
+[Desktop Entry]
+Encoding=UTF-8
+Exec=qjadeo
+Icon=/usr/share/xjadeo/qjadeo_102.xpm
+Name=jadeo
+GenericName=Video player for sync with jack
+GenericName[el]=Προβολή ταινίας σε συγχρονισμό με το jack
+StartupNotify=true
+Type=Application
+Categories=AudioVideo;
diff --git a/multimedia/xjadeo/xjadeo.info b/multimedia/xjadeo/xjadeo.info
new file mode 100644
index 0000000000..c949764425
--- /dev/null
+++ b/multimedia/xjadeo/xjadeo.info
@@ -0,0 +1,10 @@
+PRGNAM="xjadeo"
+VERSION="0.6.1"
+HOMEPAGE="http://xjadeo.sourceforge.net/"
+DOWNLOAD="http://downloads.sourceforge.net/project/xjadeo/xjadeo/v0.6.1/xjadeo-0.6.1.tar.gz"
+MD5SUM="5cb531b7bd4bccb236bc9593c6d6c563"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Michales Michaloudes"
+EMAIL="korgie@gmail.com"
+APPROVED="Niels Horn"